%define module_name Alien-SeqAlignment-cutadapt
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Data/Dump.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Test/More.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Provide the cutadapt utility for eliminating polyA tails through pipx
Group: Development/Perl
License: perl
URL: https://github.com/chrisarg/alien-seqalignment-cutadapt

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CH/CHRISARG/%{module_name}-%{version}.tar.gz

%description
This distribution provides the python tool cutadapt so that it can be used by 
other Perl distributions that are on CPAN.  It does this by first trying to
detect an existing install of cutadapt on your system.  If found it
will use that.  If it cannot be found, it will use the Python package installer
pipx to download and install cutadapt in an isolated environment for each
user. Note that after installation one ends up with a tool that can be used
from the shell (i.e. no need for Perl), hence uninstalling the Perl module will
not uninstall cutadapt or pipx. If you would like to uninstall cutadapt, then
you should use pipx to uninstall it as in: 

 pipx uninstall cutadapt.

Note that the installation method of pipx varies by operating system. 
MacOS and Windows users should have working installations of homebrew and scoop 
respectively to use this Perl Alien module.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Tue Mar 26 2024 Igor Vlasenko <viy@altlinux.org> 0.05-alt1
- updated by package builder

* Tue Mar 19 2024 Igor Vlasenko <viy@altlinux.org> 0.04-alt1
- initial import by package builder

